> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wellapp.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Person

> Retrieve a single person by ID with related emails, phones, and social links



## OpenAPI

````yaml GET /v1/people/{id}
openapi: 3.1.0
info:
  title: Well Document API
  version: 1.0.0
  description: API for uploading and managing financial documents in the Well platform
servers:
  - url: https://api.wellapp.ai
security: []
paths:
  /v1/people/{id}:
    get:
      summary: Get a specific person
      description: >-
        Retrieve a single person by ID with related emails, phones, and social
        links
      parameters:
        - $ref: '#/components/parameters/AuthorizationHeader'
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: UUID of the person to retrieve
      responses:
        '200':
          description: Person retrieved successfully
          content:
            application/json:
              example:
                data:
                  type: people
                  id: 550e8400-e29b-41d4-a716-446655440000
                  attributes:
                    first_name: John
                    last_name: Doe
                    full_name: John Doe
                    created_at: '2024-01-15T10:30:00Z'
                    updated_at: '2024-01-20T14:45:00Z'
                  relationships:
                    emails:
                      data:
                        - type: emails
                          id: 550e8400-e29b-41d4-a716-446655440002
                    phones:
                      data:
                        - type: phones
                          id: 550e8400-e29b-41d4-a716-446655440003
                    companies:
                      data:
                        - type: company
                          id: 550e8400-e29b-41d4-a716-446655440001
                included:
                  - type: emails
                    id: 550e8400-e29b-41d4-a716-446655440002
                    attributes:
                      email: john.doe@example.com
                      type: work
                  - type: phones
                    id: 550e8400-e29b-41d4-a716-446655440003
                    attributes:
                      phone: +1-555-123-4567
                      type: mobile
                  - type: company
                    id: 550e8400-e29b-41d4-a716-446655440001
                    attributes:
                      name: Tech Solutions Inc.
                      description: Leading technology solutions provider
                      workspace_id: 550e8400-e29b-41d4-a716-446655440004
              schema:
                $ref: '#/components/schemas/PeopleResponse'
        '401':
          description: Unauthorized - invalid API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedError'
        '404':
          $ref: '#/components/responses/PersonNotFound'
components:
  parameters:
    AuthorizationHeader:
      name: Authorization
      in: header
      required: true
      schema:
        type: string
      description: Bearer token for authentication
  schemas:
    PeopleResponse:
      type: object
      properties:
        data:
          type: object
          properties:
            type:
              type: string
              example: people
            id:
              type: string
              format: uuid
            attributes:
              type: object
              properties:
                first_name:
                  type: string
                  description: Person's first name
                  example: John
                last_name:
                  type: string
                  description: Person's last name
                  example: Doe
                full_name:
                  type: string
                  description: Person's full name (first + last)
                  example: John Doe
                created_at:
                  type: string
                  format: date-time
                  description: Timestamp when the person was created
                  example: '2024-01-15T10:30:00Z'
                updated_at:
                  type: string
                  format: date-time
                  description: Timestamp when the person was last updated
                  example: '2024-01-20T14:45:00Z'
            relationships:
              $ref: '#/components/schemas/PeopleResponseRelationships'
            included:
              $ref: '#/components/schemas/PeopleResponseIncluded'
    UnauthorizedError:
      type: object
      properties:
        code:
          type: string
          example: UNAUTHORIZED
          description: Error code identifier
        status:
          type: integer
          example: 401
          description: HTTP status code
        title:
          type: string
          example: Unauthorized
          description: Error title
        message:
          type: string
          example: You are not authorized to access this resource
          description: Detailed error message
        meta:
          type: object
          properties:
            log_id:
              type: string
              format: uuid
              example: 65c669d4-679c-4a8b-b8c0-fbe37699bb5b
              description: Unique identifier for tracking this error in logs
          required:
            - log_id
      required:
        - code
        - status
        - title
        - message
        - meta
    PeopleResponseRelationships:
      type: object
      properties:
        emails:
          type: object
          properties:
            data:
              type: array
              items:
                type: object
                properties:
                  type:
                    type: string
                    const: email
                  id:
                    type: string
                    format: uuid
        phones:
          type: object
          properties:
            data:
              type: array
              items:
                type: object
                properties:
                  type:
                    type: string
                    const: phone
                  id:
                    type: string
                    format: uuid
        web_links:
          type: object
          properties:
            data:
              type: array
              items:
                type: object
                properties:
                  type:
                    type: string
                    const: web_link
                  id:
                    type: string
                    format: uuid
        companies:
          type: object
          properties:
            data:
              type: array
              items:
                type: object
                properties:
                  type:
                    type: string
                    const: company
                  id:
                    type: string
                    format: uuid
                  meta:
                    type: object
                    properties:
                      relationship_type:
                        type: string
                        enum:
                          - contact
                          - employee
                          - owner
                          - other
                        description: Relationship type of the person in the company
                        example: employee
                    required:
                      - relationship_type
                required:
                  - type
                  - id
                  - meta
        medias:
          type: object
          properties:
            data:
              type: array
              items:
                type: object
                properties:
                  type:
                    type: string
                    const: media
                  id:
                    type: string
                    format: uuid
                    description: UUID of the media file
                    example: 550e8400-e29b-41d4-a716-446655440002
          required:
            - type
            - id
            - meta
        workspaces:
          type: object
          properties:
            data:
              type: array
              items:
                type: object
                properties:
                  type:
                    type: string
                    const: workspace
                  id:
                    type: string
                    format: uuid
                    description: UUID of the workspace
                    example: 632860b5-48b7-49eb-9dd1-8bddc634f387
        memberships:
          type: object
          properties:
            data:
              type: array
              items:
                type: object
                properties:
                  type:
                    type: string
                    const: memberships
                  id:
                    type: string
                    format: uuid
                    description: UUID of the memberships
                    example: 632860b5-48b7-49eb-9dd1-8bddc634f387
        documents:
          type: object
          properties:
            data:
              type: array
              items:
                type: object
                properties:
                  type:
                    type: string
                    const: document
                  id:
                    type: string
                    format: uuid
                    description: UUID of the document
                    example: 550e8400-e29b-41d4-a716-446655440009
    PeopleResponseIncluded:
      type: object
      properties:
        emails:
          type: array
          items:
            type: object
            properties:
              type:
                type: string
                const: email
                description: Type of the included email resource
              id:
                type: string
                format: uuid
                description: UUID of the email
              attributes:
                $ref: '#/components/schemas/EmailAttributes'
            additionalProperties: false
        phones:
          type: array
          items:
            type: object
            properties:
              type:
                type: string
                const: phone
                description: Type of the included phone resource
              id:
                type: string
                format: uuid
                description: UUID of the phone
              attributes:
                $ref: '#/components/schemas/PhoneAttributes'
            additionalProperties: false
        web_links:
          type: array
          items:
            type: object
            properties:
              type:
                type: string
                const: social_links
                description: Type of the included social link resource
              id:
                type: string
                format: uuid
                description: UUID of the social link
              attributes:
                $ref: '#/components/schemas/WebLinkAttributes'
            additionalProperties: false
        companies:
          type: array
          items:
            type: object
            properties:
              type:
                type: string
                const: company
                description: Type of the included company resource
              id:
                type: string
                format: uuid
                description: UUID of the company
              attributes:
                $ref: '#/components/schemas/CompanyAttributes'
            additionalProperties: false
        workspaces:
          type: object
          description: Workspaces associated with this company
          properties:
            data:
              type: array
              items:
                type: object
                properties:
                  type:
                    type: string
                    const: workspace
                  id:
                    type: string
                    format: uuid
                    description: UUID of the workspace
                  attributes:
                    $ref: '#/components/schemas/WorkspaceCreateAttributes'
        medias:
          type: object
          description: Media files associated with this person
          properties:
            data:
              type: array
              items:
                type: object
                properties:
                  type:
                    type: string
                    const: media
                  id:
                    type: string
                    format: uuid
                    description: UUID of the media
                  attributes:
                    $ref: '#/components/schemas/MediaAttributes'
        memberships:
          type: object
          description: membership to a workspace
          properties:
            data:
              type: array
              items:
                type: object
                properties:
                  type:
                    type: string
                    const: media
                  id:
                    type: string
                    format: uuid
                    description: UUID of the media
                  attributes:
                    $ref: '#/components/schemas/MembershipAttributes'
        documents:
          type: object
          description: Documents associated with this company
          properties:
            data:
              type: array
              items:
                type: object
                properties:
                  type:
                    type: string
                    const: document
                  id:
                    type: string
                    format: uuid
                    description: UUID of the document
                  attributes:
                    $ref: '#/components/schemas/DocumentAttributes'
      description: Included resources grouped by type
    EmailAttributes:
      type: object
      properties:
        value:
          type: string
          format: email
          description: Email address value
          example: sarah.wilson@techcorp.com
        is_primary:
          type: boolean
          default: true
          description: >-
            Whether this is the primary email address. Defaults to 'false',
            unless no other email is marked as primary (in which case it becomes
            'true'). Only one email can be marked as primary per person/company.
          example: true
        label:
          type: string
          enum:
            - work
            - personal
            - other
            - ...
          description: >-
            Email label type. See [all available labels](/enums/label) for
            complete list.
          default: work
          example: work
        created_at:
          type: string
          format: date-time
          description: Timestamp when the email was created
          example: '2023-06-15T10:30:00Z'
        updated_at:
          type: string
          format: date-time
          description: Timestamp when the email was last updated
          example: '2023-06-15T10:30:00Z'
    PhoneAttributes:
      type: object
      properties:
        number:
          type: string
          pattern: ^\+[1-9]\d{1,14}$
          description: Full international phone number in E164 format
          example: '+14155552671'
        label:
          type: string
          enum:
            - work
            - personal
            - other
            - ...
          description: >-
            Phone label type. See [all available labels](/enums/label) for
            complete list.
        is_primary:
          type: boolean
          description: Whether this is the primary phone number
        created_at:
          type: string
          format: date-time
          description: Timestamp when the phone was created
    WebLinkAttributes:
      type: object
      properties:
        platform:
          type: string
          enum:
            - website
            - linkedin
            - x
            - github
          description: Web platform type
        url:
          type: string
          description: Full profile URL
        created_at:
          type: string
          format: date-time
          description: Date and time when the web link was created
        updated_at:
          type: string
          format: date-time
          description: Date and time when the web link was updated
    CompanyAttributes:
      type: object
      properties:
        description:
          type: string
        domain_name_primary_link_url:
          type: string
          format: url
          maxLength: 500
          description: >-
            The domain url from the website or email address of the company.
            Used as unique identifier in some cases.
          examples:
            - acme.com
        tax_id:
          type: object
          properties:
            value:
              description: Tax ID issued by local or national tax authority.
              type: string
              examples:
                - DE123456789
            type:
              description: >-
                Type of tax ID, useful for applying formatting and validation
                rules.
              type: string
              examples:
                - VAT
        registration:
          type: object
          properties:
            trade_name:
              description: Commercial or branding name (if different from registered name).
              type: string
              examples:
                - TechSol
            registered_name:
              description: Legal company name.
              type: string
              minLength: 1
              maxLength: 100
              examples:
                - Red Hat Inc.
        registration_number:
          type: object
          properties:
            business_type:
              description: Legal entity structure type.
              type: string
              examples:
                - GmbH
            value:
              description: Official company registration number.
              type: string
              examples:
                - HRB 123456
            registry_name:
              description: Name of the official registration body.
              type: string
              examples:
                - Handelsregister Berlin
            registry_country:
              description: Country of the registry authority. (string (ISO 3166-1 alpha-2))
              type: string
              examples:
                - DE
        workspace_id:
          type: string
          format: uuid
          description: UUID of the workspace associated with this company
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
    WorkspaceCreateAttributes:
      type: object
      properties:
        name:
          type: string
          minLength: 1
          maxLength: 255
          description: Workspace name
        description:
          type: string
          maxLength: 1000
          description: Workspace description
        avatar_color:
          type: string
          pattern: ^#[A-Fa-f0-9]{6}$
          description: 'Avatar color in hexadecimal format (e.g., #FF5733)'
        external_workspace_id:
          type: string
          minLength: 1
          maxLength: 255
          description: External workspace identifier
      required:
        - name
    MediaAttributes:
      type: object
      properties:
        media_type:
          type: string
          enum:
            - avatar
            - logo
            - banner
        url:
          type: string
          format: uri
          description: URL to the media file
        is_primary:
          type: boolean
          description: Whether this is the primary media
        processed_at:
          type:
            - string
          format: date-time
          description: Timestamp when media processing completed
        uploaded_at:
          type: string
          format: date-time
    MembershipAttributes:
      type: object
      properties:
        role:
          type: string
        firebase_id:
          type: string
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
    DocumentAttributes:
      type: object
      properties:
        file_name:
          type: string
        status:
          type: string
        uploaded_at:
          type: string
          format: date-time
        processed_at:
          type: string
          format: date-time
        file_type:
          type: string
        size_bytes:
          type: integer
  responses:
    PersonNotFound:
      description: Person not found
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: string
                example: PERSON_NOT_FOUND
                description: Error code identifier
              status:
                type: integer
                example: 404
                description: HTTP status code
              title:
                type: string
                example: Person Not Found
                description: Error title
              message:
                type: string
                example: The requested person could not be found
                description: Detailed error message
              meta:
                type: object
                properties:
                  log_id:
                    type: string
                    format: uuid
                    example: 65c669d4-679c-4a8b-b8c0-fbe37699bb5b
                    description: Unique identifier for tracking this error in logs
                required:
                  - log_id
            required:
              - code
              - status
              - title
              - message
              - meta

````